curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.devin.ai/v3/organizations/{org_id}/automations/schemas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/automations/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"default_net_policy": {
"allow": [
{
"hostname": "<string>"
}
]
},
"sources": {},
"update_semantics": "<string>",
"security_profile": {
"governs_network": true,
"mcp_servers": [
"<string>"
],
"name": "<string>"
}
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Ereignisschemas für Automatisierungen abrufen
Alle unterstützten Trigger-Ereignisschemas zurückgeben, nach Quelle und anschließend nach Ereignisname gruppiert.
Jedes Schema beschreibt die Nutzlastfelder des Ereignisses, die von seinen
Bedingungen unterstützten Operatoren und die gültigen replies-Verben, damit Aufrufer gültige
triggers für die Erstell- und Aktualisierungsendpunkte erstellen können.
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.devin.ai/v3/organizations/{org_id}/automations/schemas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/automations/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"default_net_policy": {
"allow": [
{
"hostname": "<string>"
}
]
},
"sources": {},
"update_semantics": "<string>",
"security_profile": {
"governs_network": true,
"mcp_servers": [
"<string>"
],
"name": "<string>"
}
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Berechtigungen
Erfordert einen Service-Benutzer oder ein persönliches Zugriffstoken mit der BerechtigungViewOrgAutomations auf Organisationsebene.
Verwendung
Rufen Sie diesen Endpunkt auf, bevor Sie Automatisierungen erstellen: Er gibt alle unterstützten Trigger-Ereignistypen (nach Quelle und anschließend nach Ereignisname gruppiert) mit ihren Payload-Feldern, den von ihren Bedingungen unterstützten Operatoren und den gültigenreplies-Verben zurück. So können Sie gültige triggers für die Endpunkte zum Erstellen und Aktualisieren erstellen. Quellen, die für die Organization nicht aktiviert sind, werden nicht berücksichtigt.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Abfrageparameter
default_net_policy und security_profile für einen Erstellungsvorgang beziehen, der security_profile.profile_id auf dieses Profil setzt. Erfordert die Berechtigung zur Verwaltung von Security Profiles.
Antwort
Erfolgreiche Antwort
Netzwerkrichtlinie, die Clients als Ausgangspunkt für neue Automatisierungen verwenden sollten: die auf Git Manager beschränkte Richtlinie der Bereitstellung (nur die für die Aufgabe erforderlichen Ziele hinzufügen) oder null, wenn das maßgebliche Security Profile (siehe security_profile) eine Netzwerkrichtlinie hat. In diesem Fall verwenden Sitzungen die Richtlinie des Profils; session_settings.net_policy weglassen, sofern die Aufgabe keine weiteren Einschränkungen erfordert.
Show child attributes
Show child attributes
Ereignisquelle → Ereignisname → Schema.
Show child attributes
Show child attributes
Für diese Organisation aktive PATCH-Semantik: 'replace_groups' (eine in der Anfrage enthaltene Konfigurationsgruppe ersetzt die gespeicherte Gruppe vollständig) oder 'merge_patch' (RFC 7396 für Objekte: Nicht angegebene Mitglieder einer vorhandenen Gruppe behalten ihre gespeicherten Werte, explizite null-Werte löschen sie; die Listenmitgliedschaft wird weiterhin vollständig ersetzt – zum Löschen wird die Liste ohne das Element erneut gesendet –, aber jedes gesendete Element wird mit dem gespeicherten Element desselben Typs zusammengeführt, wenn dieser Typ auf beiden Seiten genau einmal vorkommt; wiederholte Typen müssen vollständig erneut angegeben werden). Offenes Enum – Clients müssen neue Werte tolerieren.
Security Profile, das für die Automatisierungssitzungen dieser Organisation gilt, oder null, wenn keines gilt.
Show child attributes
Show child attributes

